/* Start Variables */
:root {
    --main-color: #8B5E3C; /* Brown Primary */
    --secondary-color: #A47148; /* Hover / Accent */
    --dark-color: #3E2723; /* Dark Brown */
    --light-color: #F5EFEA; /* Light Background */
    --text-color: #6F5B4B; /* Paragraphs */
    --transparent-color: rgb(139 94 60 / 70%);
    --section-padding: 100px;
    --section-spaceing: 60px;
    --section-background: #f5efe9;
}
/* End Variables */

/**/


/**/

/* Start Global Rules */
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    direction: rtl;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Cairo', sans-serif;
}

ul {
    list-style: none;
}

.container {
    margin-left: auto;
    margin-right: auto;
    padding-left: 15px;
    padding-right: 15px;
}

header .container::after {
    content: "";
    position: absolute;
    left: 15px;
    bottom: 0;
    height: 1px;
    width: calc(100% - 30px);
    background-color: #a2a2a2;
}

/* Small */
@media (min-width: 768px) {
    .container {
        width: 750px;
    }
}

/* Mediun */
@media (min-width: 992px) {
    .container {
        width: 970px;
    }
}

/* Large */
@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}
/* End Global Rules */

/* Start Componans */
.special-heading {
    font-size: 60px;
    color: var(--main-color);
    text-align: center;
    margin: 0;
    font-weight: 800;
    /* letter-spacing: -3px; */
}

.special-heading + p {
    text-align: center;
    color: #797979;
    margin: -2px 0 0;
    font-size: 20px;
}

@media (max-width: 767px) {
    .special-heading {
        font-size: 30px;
    }

    .special-heading + p {
        margin-top: 0px;
        font-size: 18px;
    }
}

/* End Componans */

/* Start Header */
header {
    position: absolute;
    left: 0;
    width: 100%;
    z-index: 2;
}

header .logo img {
    height: 60px;
}

header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    min-height: 97px;
}

header nav {
    flex: 1;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

header nav .toggle-menu {
    color: white;
    font-size: 22px;
}

@media (min-width: 768px) {
    header nav .toggle-menu {
        display: none;
    }
}

header ul {
    display: flex;
}

@media (max-width: 767px) {
    header ul {
        display: none;
    }

    header nav .toggle-menu:hover+ul {
        display: flex;
        flex-direction: column;
        width: 100%;
        position: absolute;
        top: 100%;
        left: 0;
        z-index: 2;
        background-color: rgb(0 0 0 / 50%);
    }

    header ul li a {
        padding: 10px !important;
    }
}

header ul li a {
    display: block;
    padding: 40px 10px;
    color: white;
    font-size: 14px;
    text-decoration: none;
    transition: .3s;
    position: relative;
    z-index: 2;
}

header ul li a.active, 
header ul li a:hover {
    border-bottom: 1px solid var(--main-color);
    color: var(--main-color);
}

header .form {
    position: relative;
    width: 40px;
    height: 30px;
    margin-left: 30px;
    border-left: 1px solid white;
}

header .form i {
    position: absolute;
    font-size: 20px;
    color: white;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
}
/* End Header */

/* Start Landing */
.landing {
    min-height: 100vh;
    background-image: url(../Images/landing.jpeg);
    background-size: cover;
    position: relative;
}

.landing .overlay {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 60%);
}

.landing .text {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    background-color: var(--transparent-color);
    width: 50%;
    padding: 50px;
    display: flex;
    justify-content: flex-end;
    color: white;
}

.landing .text .content {
    max-width: 500px;
}

@media (max-width: 767px) {
    .landing .text {
        width: 100%;
    }

    .landing .text .content {
        max-width: 100%;
    }
}

.landing .text .content h2 {
    line-height: 1.5;
    font-size: 32px;
    font-weight: normal;
    margin-bottom: 20px;
}

.landing .text .content p {
    font-size: 18px;
    line-height: 2;
}

.landing .change-background {
    color: #ddd;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

@media (max-width: 767px) {
    .landing .change-background {
        display: none;
    }
}

.landing .fa-angle-left {
    left: 30px;
}

.landing .fa-angle-right {
    right: 30px;
}

.landing .bullets {
    position: absolute;
    left: 50%;
    bottom: 30px;
    transform: translateX(-50%);
    display: flex;
}

.landing .bullets li {
    width: 20px;
    height: 20px;
    margin-right: 10px;
    border: 1px solid white;
    border-radius: 50%;
}

.landing .bullets li.active {
    background-color: var(--main-color);
    border-color: var(--main-color);
}
/* End Landing */

/* Start Features */
.features {
    padding-top: var(--section-spaceing);
    padding-bottom: var(--section-spaceing);
    background-color: var(--section-background);
}

.features .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
}

.features .feat {
    padding: 20px;
    text-align: center;
}

.features .feat i {
    color: var(--main-color);
}

.features .feat h3 {
    font-weight: 800;
    margin: 30px 0;
}

.features .feat p {
    color: #777;
    font-size: 17px;
    line-height: 1.8;
}
/* End Features */

/* Start Services */
.services {
    padding-top: var(--section-spaceing);
    padding-bottom: var(--section-spaceing);
}

@media (min-width: 768px) {
    .services .services-container {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(450px, 1fr));
        grid-column-gap: 40px;
        grid-row-gap: 60px;
    }
}

.services .srv-box {
    display: flex;
    
}

.services .srv-box i {
    margin-right: 50px;
    align-self: flex-end;
}

.services .srv-box .text h3 {
    color: var(--main-color);
    margin-top: 50px;
}

.services .srv-box .text p {
    color: #777;
    line-height: 1.6;
}

@media (max-width: 767px) {
    .services .srv-box {
        flex-direction: column;
        align-items: center;
        text-align: center;
        margin-top: 50px;
    }

    .services .srv-box i {
        margin: 0 auto 30px;
    }
}

/* End Services */

/* Start Portfolio */
.portfolio {
    background-color: var(--section-background);
    padding-top: var(--section-spaceing);
    padding-bottom: var(--section-spaceing);
}

/* End Portfolio */

/* Start Contact */
.contact .info {
    padding-top: var(--section-spaceing);
    padding-bottom: var(--section-spaceing);
    text-align: center;
}

.contact .info .label {
    font-size: 40px;
    font-weight: 800;
    color: var(--secondary-color);
    margin-top: 35px;
    margin: 15px;
    letter-spacing: -2px;
}

.contact .info .link {
    font-size: 35px;
    font-weight: 800;
    color: var(--main-color);
    text-decoration: none;
}

.contact .info .social {
    display: flex;
    justify-content: center;
    font-size: 16px;
    margin-top: 20px;
}

.contact .info .social i {
    margin-left: 10px;
    color: var(--secondary-color);
}

@media (max-width: 767px) {
   .contact .info .label,
   .contact .info .link {
        font-size: 25px
   } 
}
/* End Contact */

.container .totalcard-offices {
    display: flex;
    
}

/* Start Video */
.video {
    position: relative;
}

.video::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 40%);
}

.video video {
    width: 100%;
}

.video .text {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: var(--transparent-color);
    padding: 50px;
    color: white;
    text-align: center;
    width: 100%;
}

.video .text h2 {
    margin: 0 0 30px;
    font-weight: normal;
    text-transform: uppercase;
}

.video .text p {
    margin-bottom: 30px;
}

.video .text button {
    padding: 10px 20px;
    background-color: #000;
    color: white;
    text-transform: uppercase;
    border: none;
}
/* End Video */


/* Start Footer */
.footer {
    padding: 30px 10px;
    text-align: center;
    font-size: 18px;
    background-color: var(--secondary-color);
    color: #fff;
}

.footer span {
    font-weight: bold;
    color: var(--accent-color);
}
/* End Footer */